
#                               scala.MatchError                               #

```
final class MatchError extends RuntimeException
```

This class implements errors which are thrown whenever an object doesn't match
any pattern of a pattern matching expression.

* Source
  * [MatchError.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/MatchError.scala#L1)
* Version
  * 1.1, 05/03/2004
* Since
  * 2.0


--------------------------------------------------------------------------------
                     Value Members From java.lang.Throwable
--------------------------------------------------------------------------------


### `def fillInStackTrace(): java.lang.Throwable`                            ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getCause(): java.lang.Throwable`                                    ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getLocalizedMessage(): String`                                      ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getStackTrace(): Array[StackTraceElement]`                          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def initCause(arg0: java.lang.Throwable): java.lang.Throwable`          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(): Unit`                                            ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintStream): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintWriter): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def setStackTrace(arg0: Array[StackTraceElement]): Unit`                ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Throwable → AnyRef → Any

(defined at java.lang.Throwable)


--------------------------------------------------------------------------------
                  Instance Constructors From scala.MatchError
--------------------------------------------------------------------------------


### `new MatchError(obj: Any)`                                               ###

(defined at scala.MatchError)


--------------------------------------------------------------------------------
                      Value Members From scala.MatchError
--------------------------------------------------------------------------------


### `def getMessage(): String`                                               ###

* Definition Classes
  * MatchError → Throwable

(defined at scala.MatchError)


--------------------------------------------------------------------------------
       Deprecated Value Members From Implicit scala.Predef.RichException
--------------------------------------------------------------------------------


### `def getStackTraceString: String`                                        ###

* Implicit information
  * This member is added by an implicit conversion from MatchError to
    RichException performed by method RichException in scala.Predef.
* Definition Classes
  * RichException
* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Throwable#getStackTrace
(added by implicit convertion: scala.Predef.RichException)
