
#                     scala.annotation.ClassfileAnnotation                     #

```
trait ClassfileAnnotation extends Annotation with StaticAnnotation
```

A base class for classfile annotations. These are stored as
[Java annotations](http://docs.oracle.com/javase/7/docs/technotes/guides/language/annotations.html#_top)]
in classfiles.

* Source
  * [ClassfileAnnotation.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/annotation/ClassfileAnnotation.scala#L1)
* Version
  * 1.1, 2/02/2007
* Since
  * 2.4

