
#                          scala.annotation.unchecked                          #

```
package unchecked
```


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `final class uncheckedStable extends Annotation with StaticAnnotation`   ###

An annotation for values that are assumed to be stable even though their types
are volatile.

* Source
  * [uncheckedStable.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/annotation/unchecked/uncheckedStable.scala#L1)
* Since
  * 2.7


### `final class uncheckedVariance extends Annotation with StaticAnnotation` ###

An annotation for type arguments for which one wants to suppress variance
checking types are volatile.

* Source
  * [uncheckedVariance.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/annotation/unchecked/uncheckedVariance.scala#L1)
* Since
  * 2.7

