
#                           scala.annotation.varargs                           #

```
final class varargs extends Annotation with StaticAnnotation
```

A method annotation which instructs the compiler to generate a Java
varargs-style forwarder method for interop. This annotation can only be applied
to methods with repeated parameters.

* Source
  * [varargs.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/annotation/varargs.scala#L1)
* Since
  * 2.9


--------------------------------------------------------------------------------
              Instance Constructors From scala.annotation.varargs
--------------------------------------------------------------------------------


### `new varargs()`                                                          ###
(defined at scala.annotation.varargs)
