
#                         scala.beans.BeanDescription                         #

```
class BeanDescription extends Annotation
```

Provides a short description that will be included when generating bean
information. This annotation can be attached to the bean itself, or to any
member.

* Source
  * [BeanDescription.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/beans/BeanDescription.scala#L1)


--------------------------------------------------------------------------------
             Instance Constructors From scala.beans.BeanDescription
--------------------------------------------------------------------------------


### `new BeanDescription(description: String)`                               ###

(defined at scala.beans.BeanDescription)


--------------------------------------------------------------------------------
                 Value Members From scala.beans.BeanDescription
--------------------------------------------------------------------------------


### `val description: String`                                                ###
(defined at scala.beans.BeanDescription)
