
#                    scala.collection.mutable.WrappedArray                    #

```
object WrappedArray
```

A companion object used to create instances of `WrappedArray` .

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `final class ofBoolean extends WrappedArray[Boolean] with Serializable`  ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofByte extends WrappedArray[Byte] with Serializable`        ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofChar extends WrappedArray[Char] with Serializable`        ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofDouble extends WrappedArray[Double] with Serializable`    ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofFloat extends WrappedArray[Float] with Serializable`      ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofInt extends WrappedArray[Int] with Serializable`          ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofLong extends WrappedArray[Long] with Serializable`        ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofRef[T <: AnyRef] extends WrappedArray[T] with Serializable` ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofShort extends WrappedArray[Short] with Serializable`      ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


### `final class ofUnit extends WrappedArray[Unit] with Serializable`        ###

* Source
  * [WrappedArray.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/WrappedArray.scala#L1)


--------------------------------------------------------------------------------
            Value Members From scala.collection.mutable.WrappedArray
--------------------------------------------------------------------------------


### `implicit def canBuildFrom[T](implicit m: ClassTag[T]): CanBuildFrom[WrappedArray[_], T, WrappedArray[T]]` ###

(defined at scala.collection.mutable.WrappedArray)


### `def empty[T <: AnyRef]: WrappedArray[T]`                                ###

(defined at scala.collection.mutable.WrappedArray)


### `def make[T](x: AnyRef): WrappedArray[T]`                                ###

(defined at scala.collection.mutable.WrappedArray)


### `def newBuilder[A]: Builder[A, IndexedSeq[A]]`                           ###
(defined at scala.collection.mutable.WrappedArray)
