
#                            scala.languageFeature                            #

```
object languageFeature
```

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `sealed trait dynamics extends AnyRef`                                   ###

* Annotations
  * @ languageFeature (feature = "extension of type scala.Dynamic",
    enableRequired = true)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `sealed trait existentials extends AnyRef`                               ###

* Annotations
  * @ languageFeature (feature =..., enableRequired = false)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `sealed trait higherKinds extends AnyRef`                                ###

* Annotations
  * @ languageFeature (feature = "higher-kinded type", enableRequired = false)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `sealed trait implicitConversions extends AnyRef`                        ###

* Annotations
  * @ languageFeature (feature = "implicit conversion #", enableRequired = false)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `sealed trait postfixOps extends AnyRef`                                 ###

* Annotations
  * @ languageFeature (feature = "postfix operator #", enableRequired = false)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `sealed trait reflectiveCalls extends AnyRef`                            ###

* Annotations
  * @ languageFeature (feature =..., enableRequired = false)
* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


--------------------------------------------------------------------------------
                                 Value Members
--------------------------------------------------------------------------------


### `object dynamics extends dynamics`                                       ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object existentials extends existentials`                               ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object experimental`                                                    ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object higherKinds extends higherKinds`                                 ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object implicitConversions extends implicitConversions`                 ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object postfixOps extends postfixOps`                                   ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)


### `object reflectiveCalls extends reflectiveCalls`                         ###

* Source
  * [languageFeature.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/languageFeature.scala#L1)

