
#                                scala.noinline                                #

```
class noinline extends Annotation with StaticAnnotation
```

An annotation on methods that forbids the compiler to inline the method, no
matter how safe the inlining appears to be.

* Source
  * [noinline.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/noinline.scala#L1)
* Version
  * 1.0, 2007-5-21
* Since
  * 2.5


--------------------------------------------------------------------------------
                   Instance Constructors From scala.noinline
--------------------------------------------------------------------------------


### `new noinline()`                                                         ###
(defined at scala.noinline)
