
#                            scala.reflect.ClassTag                            #

```
object ClassTag extends Serializable
```

Class tags corresponding to primitive types and constructor/extractor for
ClassTags.

* Source
  * [ClassTag.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/reflect/ClassTag.scala#L1)


--------------------------------------------------------------------------------
                   Value Members From scala.reflect.ClassTag
--------------------------------------------------------------------------------


### `val Any: ClassTag[Any]`                                                 ###

(defined at scala.reflect.ClassTag)


### `val AnyRef: ClassTag[AnyRef]`                                           ###

(defined at scala.reflect.ClassTag)


### `val AnyVal: ClassTag[AnyVal]`                                           ###

(defined at scala.reflect.ClassTag)


### `val Boolean: ClassTag[Boolean]`                                         ###

(defined at scala.reflect.ClassTag)


### `val Byte: ClassTag[Byte]`                                               ###

(defined at scala.reflect.ClassTag)


### `val Char: ClassTag[Char]`                                               ###

(defined at scala.reflect.ClassTag)


### `val Double: ClassTag[Double]`                                           ###

(defined at scala.reflect.ClassTag)


### `val Float: ClassTag[Float]`                                             ###

(defined at scala.reflect.ClassTag)


### `val Int: ClassTag[Int]`                                                 ###

(defined at scala.reflect.ClassTag)


### `val Long: ClassTag[Long]`                                               ###

(defined at scala.reflect.ClassTag)


### `val Nothing: ClassTag[Nothing]`                                         ###

(defined at scala.reflect.ClassTag)


### `val Null: ClassTag[Null]`                                               ###

(defined at scala.reflect.ClassTag)


### `val Object: ClassTag[AnyRef]`                                           ###

(defined at scala.reflect.ClassTag)


### `val Short: ClassTag[Short]`                                             ###

(defined at scala.reflect.ClassTag)


### `val Unit: ClassTag[Unit]`                                               ###

(defined at scala.reflect.ClassTag)


### `def apply[T](runtimeClass1: Class[_]): ClassTag[T]`                     ###

(defined at scala.reflect.ClassTag)


### `def unapply[T](ctag: ClassTag[T]): Option[Class[_]]`                    ###
(defined at scala.reflect.ClassTag)
