
#                                scala.runtime                                #

```
package runtime
```

* Source
  * [package.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/package.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `abstract class AbstractFunction0[+R] extends () ⇒ R`                    ###

* Source
  * [AbstractFunction0.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction0.scala#L1)


### `abstract class AbstractFunction1[-T1, +R] extends (T1) ⇒ R`             ###

* Source
  * [AbstractFunction1.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction1.scala#L1)


### `abstract class AbstractFunction10[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10) ⇒ R` ###

* Source
  * [AbstractFunction10.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction10.scala#L1)


### `abstract class AbstractFunction11[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11) ⇒ R` ###

* Source
  * [AbstractFunction11.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction11.scala#L1)


### `abstract class AbstractFunction12[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) ⇒ R` ###

* Source
  * [AbstractFunction12.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction12.scala#L1)


### `abstract class AbstractFunction13[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13) ⇒ R` ###

* Source
  * [AbstractFunction13.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction13.scala#L1)


### `abstract class AbstractFunction14[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14) ⇒ R` ###

* Source
  * [AbstractFunction14.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction14.scala#L1)


### `abstract class AbstractFunction15[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15) ⇒ R` ###

* Source
  * [AbstractFunction15.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction15.scala#L1)


### `abstract class AbstractFunction16[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16) ⇒ R` ###

* Source
  * [AbstractFunction16.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction16.scala#L1)


### `abstract class AbstractFunction17[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17) ⇒ R` ###

* Source
  * [AbstractFunction17.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction17.scala#L1)


### `abstract class AbstractFunction18[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, -T18, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18) ⇒ R` ###

* Source
  * [AbstractFunction18.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction18.scala#L1)


### `abstract class AbstractFunction19[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, -T18, -T19, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19) ⇒ R` ###

* Source
  * [AbstractFunction19.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction19.scala#L1)


### `abstract class AbstractFunction2[-T1, -T2, +R] extends (T1, T2) ⇒ R`    ###

* Source
  * [AbstractFunction2.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction2.scala#L1)


### `abstract class AbstractFunction20[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, -T18, -T19, -T20, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) ⇒ R` ###

* Source
  * [AbstractFunction20.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction20.scala#L1)


### `abstract class AbstractFunction21[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, -T18, -T19, -T20, -T21, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21) ⇒ R` ###

* Source
  * [AbstractFunction21.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction21.scala#L1)


### `abstract class AbstractFunction22[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, -T10, -T11, -T12, -T13, -T14, -T15, -T16, -T17, -T18, -T19, -T20, -T21, -T22, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22) ⇒ R` ###

* Source
  * [AbstractFunction22.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction22.scala#L1)


### `abstract class AbstractFunction3[-T1, -T2, -T3, +R] extends (T1, T2, T3) ⇒ R` ###

* Source
  * [AbstractFunction3.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction3.scala#L1)


### `abstract class AbstractFunction4[-T1, -T2, -T3, -T4, +R] extends (T1, T2, T3, T4) ⇒ R` ###

* Source
  * [AbstractFunction4.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction4.scala#L1)


### `abstract class AbstractFunction5[-T1, -T2, -T3, -T4, -T5, +R] extends (T1, T2, T3, T4, T5) ⇒ R` ###

* Source
  * [AbstractFunction5.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction5.scala#L1)


### `abstract class AbstractFunction6[-T1, -T2, -T3, -T4, -T5, -T6, +R] extends (T1, T2, T3, T4, T5, T6) ⇒ R` ###

* Source
  * [AbstractFunction6.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction6.scala#L1)


### `abstract class AbstractFunction7[-T1, -T2, -T3, -T4, -T5, -T6, -T7, +R] extends (T1, T2, T3, T4, T5, T6, T7) ⇒ R` ###

* Source
  * [AbstractFunction7.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction7.scala#L1)


### `abstract class AbstractFunction8[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8) ⇒ R` ###

* Source
  * [AbstractFunction8.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction8.scala#L1)


### `abstract class AbstractFunction9[-T1, -T2, -T3, -T4, -T5, -T6, -T7, -T8, -T9, +R] extends (T1, T2, T3, T4, T5, T6, T7, T8, T9) ⇒ R` ###

* Source
  * [AbstractFunction9.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction9.scala#L1)


### `abstract class AbstractPartialFunction[-T1, +R] extends (T1) ⇒ R with PartialFunction[T1, R]` ###

 `AbstractPartialFunction` reformulates all operations of its supertrait
 `PartialFunction` in terms of `isDefinedAt` and `applyOrElse` .

This allows more efficient implementations in many cases:

* optimized `orElse` method supports chained `orElse` in linear time, and with
   no slow-down if the `orElse` part is not needed.
* optimized `lift` method helps to avoid double evaluation of pattern matchers &
   guards of partial function literals.

This trait is used as a basis for implementation of all partial function
literals.

* Self Type
  * AbstractPartialFunction [T1, R]
* Source
  * [AbstractPartialFunction.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractPartialFunction.scala#L1)
* Since
  * 2.10


### `final class ArrayCharSequence extends CharSequence`                     ###

* Source
  * [SeqCharSequence.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/SeqCharSequence.scala#L1)


### `trait Boxed extends AnyRef`                                             ###

* Source
  * [Boxed.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Boxed.scala#L1)


### `trait FractionalProxy[T] extends ScalaNumberProxy[T] with RangedProxy[T]` ###

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)


### `trait IntegralProxy[T] extends ScalaWholeNumberProxy[T] with RangedProxy[T]` ###

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)


### `class NonLocalReturnControl[T] extends Throwable with ControlThrowable` ###

* Source
  * [NonLocalReturnControl.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/NonLocalReturnControl.scala#L1)


### `sealed abstract class Nothing$ extends Throwable`                       ###

Dummy class which exist only to satisfy the JVM. It corresponds to
 `scala.Nothing` . If such type appears in method signatures, it is erased to
this one.

* Source
  * [Nothing$.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Nothing$.scala#L1)


### `sealed abstract class Null$ extends AnyRef`                             ###

Dummy class which exist only to satisfy the JVM. It corresponds to `scala.Null` .
If such type appears in method signatures, it is erased to this one. A private
constructor ensures that Java code can't create subclasses. The only value of
type Null$ should be null

* Source
  * [Null$.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Null$.scala#L1)


### `trait OrderedProxy[T] extends Ordered[T] with Typed[T]`                 ###

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)


### `trait RangedProxy[T] extends Typed[T]`                                  ###

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)


### `final class RichBoolean extends AnyVal with OrderedProxy[Boolean]`      ###

* Source
  * [RichBoolean.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichBoolean.scala#L1)


### `final class RichByte extends AnyVal with ScalaWholeNumberProxy[Byte]`   ###

* Source
  * [RichByte.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichByte.scala#L1)


### `final class RichChar extends AnyVal with IntegralProxy[Char]`           ###

* Source
  * [RichChar.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichChar.scala#L1)


### `final class RichDouble extends AnyVal with FractionalProxy[Double]`     ###

* Source
  * [RichDouble.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichDouble.scala#L1)


### `final class RichException extends AnyRef`                               ###

* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Throwable#getStackTrace
* Source
  * [RichException.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichException.scala#L1)


### `final class RichFloat extends AnyVal with FractionalProxy[Float]`       ###

* Source
  * [RichFloat.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichFloat.scala#L1)


### `final class RichInt extends AnyVal with ScalaNumberProxy[Int] with RangedProxy[Int]` ###

* Source
  * [RichInt.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichInt.scala#L1)


### `final class RichLong extends AnyVal with IntegralProxy[Long]`           ###

* Source
  * [RichLong.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichLong.scala#L1)


### `final class RichShort extends AnyVal with ScalaWholeNumberProxy[Short]` ###

* Source
  * [RichShort.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/RichShort.scala#L1)


### `trait ScalaNumberProxy[T] extends ScalaNumericAnyConversions with Typed[T] with OrderedProxy[T]` ###

Base classes for the Rich* wrappers of the primitive types. As with all classes
in scala.runtime.*, this is not a supported API.

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)
* Version
  * 2.9
* Since
  * 2.9


### `trait ScalaWholeNumberProxy[T] extends ScalaNumberProxy[T]`             ###

* Source
  * [ScalaNumberProxy.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaNumberProxy.scala#L1)


### `final class SeqCharSequence extends CharSequence`                       ###

* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Predef.SeqCharSequence
* Source
  * [SeqCharSequence.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/SeqCharSequence.scala#L1)


### `final class StringAdd extends AnyVal`                                   ###

A wrapper class that adds string concatenation `+` to any value

* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Predef.StringAdd
* Source
  * [StringAdd.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/StringAdd.scala#L1)


### `final class StringFormat extends AnyVal`                                ###

A wrapper class that adds a `formatted` operation to any value

* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Predef.StringFormat
* Source
  * [StringFormat.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/StringFormat.scala#L1)


### `final class Tuple2Zipped[El1, Repr1, El2, Repr2] extends AnyVal with ZippedTraversable2[El1, El2]` ###

* Source
  * [Tuple2Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple2Zipped.scala#L1)


### `final class Tuple3Zipped[El1, Repr1, El2, Repr2, El3, Repr3] extends AnyVal with ZippedTraversable3[El1, El2, El3]` ###

* Source
  * [Tuple3Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple3Zipped.scala#L1)


### `trait ZippedTraversable2[+El1, +El2] extends Any`                       ###

This interface is intended as a minimal interface, not complicated by the
requirement to resolve type constructors, for implicit search (which only needs
to find an implicit conversion to Traversable for our purposes.)

* Source
  * [Tuple2Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple2Zipped.scala#L1)


### `trait ZippedTraversable3[+El1, +El2, +El3] extends Any`                 ###

See comment on ZippedTraversable2

* Source
  * [Tuple3Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple3Zipped.scala#L1)


--------------------------------------------------------------------------------
                                 Value Members
--------------------------------------------------------------------------------


### `object ScalaRunTime`                                                    ###

The object ScalaRunTime provides support methods required by the scala runtime.
All these methods should be considered outside the API and subject to change or
removal without notice.

* Source
  * [ScalaRunTime.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaRunTime.scala#L1)


### `object Tuple2Zipped`                                                    ###

* Source
  * [Tuple2Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple2Zipped.scala#L1)


### `object Tuple3Zipped`                                                    ###

* Source
  * [Tuple3Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple3Zipped.scala#L1)


### `object ZippedTraversable2`                                              ###

* Source
  * [Tuple2Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple2Zipped.scala#L1)


### `object ZippedTraversable3`                                              ###

* Source
  * [Tuple3Zipped.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Tuple3Zipped.scala#L1)

