
#                       scala.runtime.AbstractFunction0                       #

```
abstract class AbstractFunction0[+R] extends () ⇒ R
```

* Source
  * [AbstractFunction0.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/AbstractFunction0.scala#L1)


--------------------------------------------------------------------------------
                  Abstract Value Members From scala.Function0
--------------------------------------------------------------------------------


### `abstract def apply(): R`                                                ###

Apply the body of this function to the arguments.

* returns
  * the result of function application.

* Definition Classes
  * Function0

(defined at scala.Function0)


--------------------------------------------------------------------------------
                  Concrete Value Members From scala.Function0
--------------------------------------------------------------------------------


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Function0 → AnyRef → Any

(defined at scala.Function0)


--------------------------------------------------------------------------------
           Instance Constructors From scala.runtime.AbstractFunction0
--------------------------------------------------------------------------------


### `new AbstractFunction0()`                                                ###
(defined at scala.runtime.AbstractFunction0)
