
#                             scala.runtime.Null$                             #

```
sealed abstract class Null$ extends AnyRef
```

Dummy class which exist only to satisfy the JVM. It corresponds to `scala.Null` .
If such type appears in method signatures, it is erased to this one. A private
constructor ensures that Java code can't create subclasses. The only value of
type Null$ should be null

* Source
  * [Null$.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/Null$.scala#L1)

