
#                              scala.Serializable                              #

```
trait Serializable extends java.io.Serializable
```

Classes extending this trait are serializable across platforms (Java,.NET).

* Source
  * [Serializable.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Serializable.scala#L1)


--------------------------------------------------------------------------------
                    Concrete Value Members From scala.Any###
--------------------------------------------------------------------------------


### `final def ##(): Int`                                                    ###

Equivalent to `x.hashCode` except for boxed numeric types and `null` . For
numerics, it returns a hash value which is consistent with value equality: if
two value type instances compare as true, then ## will produce the same hash
value for each of them. For `null` returns a hashcode where `null.hashCode`
throws a `NullPointerException` .

* returns
  * a hash value consistent with ==

* Definition Classes
  * Any
(defined at scala.Any###)
