
#                                scala.Tuple15                                #

```
case class Tuple15[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12, +T13, +T14, +T15](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15) extends Product15[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15] with Product with Serializable
```

A tuple of 15 elements; the canonical representation of a scala.Product15.

* _1
  * Element 1 of this Tuple15
* _2
  * Element 2 of this Tuple15
* _3
  * Element 3 of this Tuple15
* _4
  * Element 4 of this Tuple15
* _5
  * Element 5 of this Tuple15
* _6
  * Element 6 of this Tuple15
* _7
  * Element 7 of this Tuple15
* _8
  * Element 8 of this Tuple15
* _9
  * Element 9 of this Tuple15
* _10
  * Element 10 of this Tuple15
* _11
  * Element 11 of this Tuple15
* _12
  * Element 12 of this Tuple15
* _13
  * Element 13 of this Tuple15
* _14
  * Element 14 of this Tuple15
* _15
  * Element 15 of this Tuple15

* Annotations
  * @deprecatedInheritance (..., "2.11.0")
* Source
  * [Tuple15.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Tuple15.scala#L1)


--------------------------------------------------------------------------------
                       Value Members From scala.Product15
--------------------------------------------------------------------------------


### `def productArity: Int`                                                  ###

The arity of this product.

* returns
  * 15

* Definition Classes
  * Product15 → Product

(defined at scala.Product15)


### `def productElement(n: Int): Any`                                        ###

Returns the n-th projection of this product if 0 < n <= productArity, otherwise
throws an `IndexOutOfBoundsException` .

* n
  * number of the projection to be returned
* returns
  * same as `._(n+1)` , for example `productElement(0)` is the same as `._1` .

* Definition Classes
  * Product15 → Product
* Annotations
  * @ throws (clazz = classOf[IndexOutOfBoundsException])
* Exceptions thrown
  * IndexOutOfBoundsException

(defined at scala.Product15)


--------------------------------------------------------------------------------
                    Instance Constructors From scala.Tuple15
--------------------------------------------------------------------------------


### `new Tuple15(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15)` ###

Create a new tuple with 15 elements. Note that it is more idiomatic to create a
Tuple15 via
 `(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, t14, t15)`

* _1
  * Element 1 of this Tuple15
* _2
  * Element 2 of this Tuple15
* _3
  * Element 3 of this Tuple15
* _4
  * Element 4 of this Tuple15
* _5
  * Element 5 of this Tuple15
* _6
  * Element 6 of this Tuple15
* _7
  * Element 7 of this Tuple15
* _8
  * Element 8 of this Tuple15
* _9
  * Element 9 of this Tuple15
* _10
  * Element 10 of this Tuple15
* _11
  * Element 11 of this Tuple15
* _12
  * Element 12 of this Tuple15
* _13
  * Element 13 of this Tuple15
* _14
  * Element 14 of this Tuple15
* _15
  * Element 15 of this Tuple15

(defined at scala.Tuple15)


--------------------------------------------------------------------------------
                        Value Members From scala.Tuple15
--------------------------------------------------------------------------------


### `val _10: T10`                                                           ###

Element 10 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _11: T11`                                                           ###

Element 11 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _12: T12`                                                           ###

Element 12 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _13: T13`                                                           ###

Element 13 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _14: T14`                                                           ###

Element 14 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _15: T15`                                                           ###

Element 15 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _1: T1`                                                             ###

Element 1 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _2: T2`                                                             ###

Element 2 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _3: T3`                                                             ###

Element 3 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _4: T4`                                                             ###

Element 4 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _5: T5`                                                             ###

Element 5 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _6: T6`                                                             ###

Element 6 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _7: T7`                                                             ###

Element 7 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _8: T8`                                                             ###

Element 8 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `val _9: T9`                                                             ###

Element 9 of this Tuple15

* Definition Classes
  * Tuple15 → Product15

(defined at scala.Tuple15)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Tuple15 → AnyRef → Any
(defined at scala.Tuple15)
