
#                      scala.annotation.StaticAnnotation                      #

```
trait StaticAnnotation extends Annotation
```

A base class for static annotations. These are available to the Scala type
checker, even across different compilation units.

* Source
  * [StaticAnnotation.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/annotation/StaticAnnotation.scala#L1)
* Version
  * 1.1, 2/02/2007
* Since
  * 2.4

