
#                           scala.beans.BeanInfoSkip                           #

```
class BeanInfoSkip extends Annotation
```

This annotation indicates that bean information should *not* be generated for
the val, var, or def that it is attached to.

* Source
  * [BeanInfoSkip.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/beans/BeanInfoSkip.scala#L1)


--------------------------------------------------------------------------------
              Instance Constructors From scala.beans.BeanInfoSkip
--------------------------------------------------------------------------------


### `new BeanInfoSkip()`                                                     ###
(defined at scala.beans.BeanInfoSkip)
