
#                      scala.collection.generic.Clearable                      #

```
trait Clearable extends AnyRef
```

This trait forms part of collections that can be cleared with a clear() call.

* Source
  * [Clearable.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/generic/Clearable.scala#L1)
* Version
  * 2.10
* Since
  * 2.10


--------------------------------------------------------------------------------
         Abstract Value Members From scala.collection.generic.Clearable
--------------------------------------------------------------------------------


### `abstract def clear(): Unit`                                             ###

Clears the clearable collection's contents. After this operation, the clearable
collection is empty.
(defined at scala.collection.generic.Clearable)
