
#                        scala.concurrent.BlockContext                        #

```
object BlockContext
```

* Source
  * [BlockContext.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/concurrent/BlockContext.scala#L1)


--------------------------------------------------------------------------------
                Value Members From scala.concurrent.BlockContext
--------------------------------------------------------------------------------


### `def current: BlockContext`                                              ###

Obtain the current thread's current `BlockContext` .

(defined at scala.concurrent.BlockContext)


### `def withBlockContext[T](blockContext: BlockContext)(body: ⇒ T): T`      ###

Pushes a current `BlockContext` while executing `body` .
(defined at scala.concurrent.BlockContext)
