
#                              scala.io.AnsiColor                              #

```
object AnsiColor extends AnsiColor
```

* Source
  * [AnsiColor.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/io/AnsiColor.scala#L1)


--------------------------------------------------------------------------------
                     Value Members From scala.io.AnsiColor
--------------------------------------------------------------------------------


### `final val BLACK: String("\033[30m")`                                    ###

Foreground color for ANSI black

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val BLACK_B: String("\033[40m")`                                  ###

Background color for ANSI black

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val BLINK: String("\033[5m")`                                     ###

ANSI blink

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val BLUE: String("\033[34m")`                                     ###

Foreground color for ANSI blue

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val BLUE_B: String("\033[44m")`                                   ###

Background color for ANSI blue

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val BOLD: String("\033[1m")`                                      ###

ANSI bold

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val CYAN: String("\033[36m")`                                     ###

Foreground color for ANSI cyan

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val CYAN_B: String("\033[46m")`                                   ###

Background color for ANSI cyan

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val GREEN: String("\033[32m")`                                    ###

Foreground color for ANSI green

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val GREEN_B: String("\033[42m")`                                  ###

Background color for ANSI green

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val INVISIBLE: String("\033[8m")`                                 ###

ANSI invisible

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val MAGENTA: String("\033[35m")`                                  ###

Foreground color for ANSI magenta

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val MAGENTA_B: String("\033[45m")`                                ###

Background color for ANSI magenta

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val RED: String("\033[31m")`                                      ###

Foreground color for ANSI red

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val RED_B: String("\033[41m")`                                    ###

Background color for ANSI red

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val RESET: String("\033[0m")`                                     ###

Reset ANSI styles

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val REVERSED: String("\033[7m")`                                  ###

ANSI reversed

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val UNDERLINED: String("\033[4m")`                                ###

ANSI underlines

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val WHITE: String("\033[37m")`                                    ###

Foreground color for ANSI white

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val WHITE_B: String("\033[47m")`                                  ###

Background color for ANSI white

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val YELLOW: String("\033[33m")`                                   ###

Foreground color for ANSI yellow

* Definition Classes
  * AnsiColor

(defined at scala.io.AnsiColor)


### `final val YELLOW_B: String("\033[43m")`                                 ###

Background color for ANSI yellow

* Definition Classes
  * AnsiColor
(defined at scala.io.AnsiColor)
