
#                           scala.reflect.NoManifest                           #

```
object NoManifest extends OptManifest[Nothing] with Serializable
```

One of the branches of an scala.reflect.OptManifest.

* Source
  * [NoManifest.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/reflect/NoManifest.scala#L1)


--------------------------------------------------------------------------------
                  Value Members From scala.reflect.NoManifest
--------------------------------------------------------------------------------


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * NoManifest → AnyRef → Any
(defined at scala.reflect.NoManifest)
