
#                     scala.runtime.NonLocalReturnControl                     #

```
class NonLocalReturnControl[T] extends Throwable with ControlThrowable
```

* Source
  * [NonLocalReturnControl.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/NonLocalReturnControl.scala#L1)


--------------------------------------------------------------------------------
                     Value Members From java.lang.Throwable
--------------------------------------------------------------------------------


### `def getCause(): java.lang.Throwable`                                    ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getLocalizedMessage(): String`                                      ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getMessage(): String`                                               ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getStackTrace(): Array[StackTraceElement]`                          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def initCause(arg0: java.lang.Throwable): java.lang.Throwable`          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(): Unit`                                            ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintStream): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintWriter): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def setStackTrace(arg0: Array[StackTraceElement]): Unit`                ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Throwable → AnyRef → Any

(defined at java.lang.Throwable)


--------------------------------------------------------------------------------
         Instance Constructors From scala.runtime.NonLocalReturnControl
--------------------------------------------------------------------------------


### `new NonLocalReturnControl(key: AnyRef, value: T)`                       ###

(defined at scala.runtime.NonLocalReturnControl)


--------------------------------------------------------------------------------
             Value Members From scala.runtime.NonLocalReturnControl
--------------------------------------------------------------------------------


### `final def fillInStackTrace(): Throwable`                                ###

* Definition Classes
  * NonLocalReturnControl → NoStackTrace → Throwable

(defined at scala.runtime.NonLocalReturnControl)


### `val key: AnyRef`                                                        ###

(defined at scala.runtime.NonLocalReturnControl)


### `val value: T`                                                           ###

(defined at scala.runtime.NonLocalReturnControl)


--------------------------------------------------------------------------------
       Deprecated Value Members From Implicit scala.Predef.RichException
--------------------------------------------------------------------------------


### `def getStackTraceString: String`                                        ###

* Implicit information
  * This member is added by an implicit conversion from NonLocalReturnControl [T]
    to Predef.RichException performed by method RichException in scala.Predef.
* Definition Classes
  * RichException
* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Throwable#getStackTrace
(added by implicit convertion: scala.Predef.RichException)
